# coding=utf-8

import datetime

from django.db import models

from constants import WEEKDAY_CHOICES


class Availability(models.Model):
    class Meta:
        app_label = 'web'

    person = models.ForeignKey("web.Worker", on_delete=models.CASCADE,
                               verbose_name='Worker'
                               )
    day_number = models.IntegerField(
        verbose_name='Day of the week',
        choices=WEEKDAY_CHOICES
    )
    available_from = models.TimeField(
        verbose_name='Available from',
    )
    available_till = models.TimeField(
        verbose_name='Available until',
    )

    def __str__(self):
        return "%d %s %s" % (self.day_number, self.person.last_name, self.person.first_name)

    def __unicode__(self):
        return "%d %s %s" % (self.day_number, self.person.last_name, self.person.first_name)
