# coding=utf-8

from django.db import models

from .constants import LOCALE_CHOICES


class Language(models.Model):
    class Meta:
        app_label = 'web'
        ordering = ["order"]

    name = models.CharField(max_length=20)
    image = models.ImageField()
    order = models.IntegerField(default=0)
    locale = models.CharField(max_length=10, choices=LOCALE_CHOICES, null=False, blank=False, default="fr_FR")
    windows_locale_name = models.CharField(max_length=10, choices=LOCALE_CHOICES, null=False, blank=False,
                                           default="French")

    def __str__(self):
        return self.name

    def image_img(self):
        if self.image:
            return u'<img class="flag-icon" src="%s" />' % self.image.url
        else:
            return 'No image'

    image_img.short_description = 'Flag icon'
    image_img.allow_tags = True
