from django.shortcuts import redirect, get_object_or_404

from . import wrap_response
from ..forms import ContactAttemptForm
from ..models import Subject


def contact_add(request, subject_id):
    subject = get_object_or_404(Subject, id=subject_id)
    if request.method == 'POST':
        form = ContactAttemptForm(request.POST, user=request.user, subject=subject)
        form.instance.subject_id = subject_id
        if form.is_valid():
            form.save()
            return redirect('web.views.subject_edit', id=subject_id)
    else:
        form = ContactAttemptForm(user=request.user, subject=subject)

    return wrap_response(request, 'contact_attempt/add.html',
                         {'form': form, 'subject_id': subject_id})
